classification
Title: Silence unused value warnings under Mac OS X 10.8/clang
Type: enhancement Stage: resolved
Components: Interpreter Core, macOS Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: Benno.Rice, esc24, martin.panter, ned.deily, ronaldoussoren
Priority: normal Keywords: needs review, patch

Created on 2012-08-20 00:46 by Benno.Rice, last changed 2019-07-14 12:57 by ronaldoussoren. This issue is now closed.

Files
File name Uploaded Description Edit
warning-silencing.patch Benno.Rice, 2012-08-20 00:46 review
redefine-init-macros.txt ronaldoussoren, 2013-02-05 11:08 review
Messages (5)
msg168609 - (view) Author: Benno Rice (Benno.Rice) Date: 2012-08-20 00:46
This patch silences a bunch of unused value warnings emitted by clang when building on Mac OS X 10.8.
msg168647 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2012-08-20 11:49
Patch looks good to me.

I've added 3.3 to the list of python versions because it might be worthwhile to apply this to 3.3 as well (after 3.3.0 is released).
msg181428 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2013-02-05 11:08
This is an alternate patch, it replaces the PyObject_INIT and PyObject_INIT_VAR macros by inline functions with macro wrappers for compatibility (the macros are used to suppress type warnings).

I don't particularly like my patch, but it might be a better way to ensure that the warning stays away and also fixes the warning in 3th-party code.

BTW. I wouldn't mind feedback of other core developers on either patch.
msg268977 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-06-21 09:25
Revisions 12e53abec5d0 and 0c7fff783b32 look like they do the same thing as Benno’s patch. Perhaps we can close this?
msg347909 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2019-07-14 12:57
I'm closing this as out of date.
History
Date User Action Args
2019-07-14 12:57:30ronaldoussorensetstatus: open -> closed

messages: + msg347909
stage: patch review -> resolved
2016-06-21 09:25:33martin.pantersetresolution: out of date

messages: + msg268977
nosy: + martin.panter
2014-07-26 08:58:07ronaldoussorensetversions: + Python 3.5, - Python 3.3
2013-02-16 17:24:02esc24setnosy: + esc24
2013-02-05 11:08:41ronaldoussorensetfiles: + redefine-init-macros.txt

messages: + msg181428
2012-08-20 11:49:29ronaldoussorensetkeywords: + needs review

messages: + msg168647
versions: + Python 3.3
2012-08-20 01:37:17ned.deilysetnosy: + ned.deily

stage: patch review
2012-08-20 00:46:27Benno.Ricecreate